Public Class frmTimasabfrage
    Dim mit As VERAG_PROG_ALLGEMEIN.cMitarbeiter
    Dim nurBuero As Boolean = False
    Public Datum As Date = CDate(Now.ToShortDateString)
    Public typ As Integer = -1
    Public Schalter As Integer = -1

    Sub New()
        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()
    End Sub

    Sub New(mit_ As cMitarbeiter)
        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()
        mit = mit_
    End Sub

    Sub New(mit_ As cMitarbeiter, nurBuero_ As Boolean)
        ' Dieser Aufruf ist für den Designer erforderlich.
        InitializeComponent()
        mit = mit_
        nurBuero = nurBuero_
    End Sub

    Private Sub frmTimasabfrage(sender As Object, e As EventArgs) Handles Me.Load

        cboTyp.Items.Clear()
        cboTyp.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Büro", "0"))
        If Not nurBuero Then
            cboTyp.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("Homeoffice", "3"))
            rbHO.Enabled = True
        Else
            rbHO.Enabled = False
        End If



        cbxSchalterID.Items.Clear()
        cbxSchalterID.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("", ""))
        cbxSchalterID.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("1", "1"))
        cbxSchalterID.Items.Add(New VERAG_PROG_ALLGEMEIN.MyListItem("2", "2"))
        cbxSchalterID.changeItem("")

        If mit IsNot Nothing Then
            Label1.Text = "Zeit erfassen für: " & mit.mit_nname & " " & mit.mit_vname
            If mit.mit_homeoffice AndAlso Not nurBuero Then
                rbHO.Checked = True
                cboTyp.changeItem("Homeoffice")
            Else
                rbHO.Checked = False
                cboTyp.changeItem("Büro")
            End If

            If mit.mit_niederlassung = "NKD" Then

                cbxSchalterID.Visible = True
            Else
                cbxSchalterID.Visible = False
            End If

            lblSchalter.Visible = cbxSchalterID.Visible



        End If




    End Sub

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click

        If typ = -1 Then
            MsgBox("Bitte Typ auswählen")
            DialogResult = Windows.Forms.DialogResult.None

        Else
            DialogResult = Windows.Forms.DialogResult.OK
        End If

        If mit.mit_niederlassung = "NKD" AndAlso Schalter = -1 Then
            MsgBox("Bitte Schalter auswählen")
            DialogResult = Windows.Forms.DialogResult.None

        Else
            If Schalter > 0 Then
                mit.mit_SchalterID = Schalter
                mit.SAVE()
            End If

            DialogResult = Windows.Forms.DialogResult.OK
            End If

    End Sub

    Private Sub rbBuero_CheckedChanged(sender As Object, e As EventArgs) Handles rbBuero.CheckedChanged, rbHO.CheckedChanged

        If rbBuero.Checked Then
            typ = 0
        ElseIf rbHO.Checked Then
            typ = 3
        Else
            typ = -1
        End If

    End Sub

    Private Sub cbxSchalterID_SelectedValueChanged(sender As Object, e As EventArgs) Handles cbxSchalterID.SelectedValueChanged
        If cbxSchalterID._value <> "" AndAlso IsNumeric(cbxSchalterID._value) AndAlso CInt(cbxSchalterID._value) > 0 Then
            Schalter = cbxSchalterID._value
        Else
            Schalter = -1
        End If
    End Sub
End Class